openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin Sutter" <kwsut...@gmail.com>
Subject Re: Need OUTER JOIN to SecondaryTable
Date Mon, 16 Jun 2008 18:59:25 GMT
Gretchen,

On Fri, Jun 13, 2008 at 12:34 PM, Gretchen A Chiaramonte <
chiaramg@us.ibm.com> wrote:

>
> I am using the version of openjpa that
> comes in the WebSphere 6.1 feature pack, so I believe I am constrained to
> use openjpa 1.0.1, unless someone can give me a method to replace the IBM
> supplied jars.
>
> WebSphere continues to update the version of OpenJPA that is supported in
the Feature Pack via the 1.0.x service stream.  So, if this forum posting
produces a valid problem, the solution (once integrated in the 1.0.x branch)
will be picked up with the next fixpack provided by WebSphere.

Also, due to the WebSphere extensions to the base OpenJPA code, it is
difficult to "replace" the IBM supplied jars with a version of OpenJPA
beyond the 1.0.x service branch.  The InfoCenter does document how you can
configure an alternate persistence provider (ie. an alternate version of
OpenJPA), but then you will not have access to the WebSphere extensions.

Are you indicating that trunk (ie. 1.2.x) does not exhibit this problem
(since you asked about replacing the version provided by the Feature Pack)?
Or, was this just a general question?

Thanks,
Kevin

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message